Bug 213830 - dns/knot2: Update to 2.3.1
Summary: dns/knot2: Update to 2.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jan Beich
URL:
Keywords:
Depends on: 213829
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-27 09:38 UTC by Leo Vandewoestijne
Modified: 2016-11-27 02:50 UTC (History)
0 users

See Also:


Attachments
update to 2.3.1 (1.38 KB, text/plain)
2016-10-27 09:38 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2016-10-27 09:38:44 UTC
Created attachment 176214 [details]
update to 2.3.1

There were countless minor nice updates on Knot2.
This patch updates from 2.3.0 2.3.1
Tested with portlint, the traditional manual method, and with poudriere.
Comment 1 Leo Vandewoestijne 2016-10-27 09:40:45 UTC
As dnstap is an optional dependency of Knot2, it would be nice to do the mutation on this port after this one is done:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=213829
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-27 09:47:05 UTC
If this issues change doesn't explicitly *require* bug 213829 being committed first (say for example knot 2.3.1 *required* fstrm version >= 0.3.0), then please remove the "Depends On" that is being set now
Comment 3 commit-hook freebsd_committer 2016-10-27 11:18:26 UTC
A commit references this bug:

Author: jbeich
Date: Thu Oct 27 11:17:43 UTC 2016
New revision: 424757
URL: https://svnweb.freebsd.org/changeset/ports/424757

Log:
  dns/knot2: update to 2.3.1

  Changes:	https://www.knot-dns.cz/2016-10-10-version-231.html
  PR:		213830
  Submitted by:	Leo Vandewoestijne (maintainer)

Changes:
  head/dns/knot-resolver/Makefile
  head/dns/knot2/Makefile
  head/dns/knot2/distinfo
  head/dns/knot2/pkg-plist
Comment 4 Jan Beich freebsd_committer 2016-10-27 11:18:39 UTC
Thanks. Landed.
Comment 5 commit-hook freebsd_committer 2016-11-27 02:50:37 UTC
A commit references this bug:

Author: junovitch
Date: Sun Nov 27 02:50:03 UTC 2016
New revision: 427188
URL: https://svnweb.freebsd.org/changeset/ports/427188

Log:
  MFH: r424757 r427187

  dns/knot2: update to 2.3.1

  Changes:	https://www.knot-dns.cz/2016-10-10-version-231.html
  PR:		213830
  Submitted by:	Leo Vandewoestijne (maintainer)

  dns/knot2: update 2.3.1 -> 2.3.2

  - Disable recvmmsg by default, this impacted UDP queries on 11.0-RELEASE.
    It was later fixed in 11/stable in r307311 but enabling conditionally
    provides little benefit so just disable by default as part of update.

  PR:		213952, 214303
  Submitted by:	Leo Vandewoestijne <freebsd@dns-lab.com> (maintainer)
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/dns/knot-resolver/Makefile
  branches/2016Q4/dns/knot2/Makefile
  branches/2016Q4/dns/knot2/distinfo
  branches/2016Q4/dns/knot2/pkg-plist